qt-3.3.8b after qt-4.4.3??

Bruce Dubbs bruce.dubbs at gmail.com
Sat Dec 27 12:47:37 PST 2008


b-vol wrote:
> Greetings,
> 
> I am having a spot of bother compiling qt-3.3.8b.  I have qt-4.4.3  already 
> installed in /opt/qt-4.4.3 and plan to install qt in /opt/qt-3.3.8b.  I keep 
> geting "make fail 
> error while loading share library
> libqt-mt.so.3  no such file or directory.
> 
> I have installed qt-3 before without  trouble.  I have also followed   the 
> installation procedure in the current blfs-dev book.  Does the sequence of 
> qt3:qt4  matter or is there something I am doing wrong?

qt3 and qt4 do not generally conflict.  The headers and libraries are different. 
  What does conflict is the names of the binaries, particularly qmake.  When 
building, make sure your PATH variable has the right qt/bin path first.

You may want to look for the /opt/qt symlink and adjust /etc/ld.so.conf to point 
to the real libraries and not the symlink.

   -- Bruce



More information about the blfs-support mailing list